%                           AC TACHOMETER
%                           Steady-state conditions
clear,clc,close all
disp(date)
disp('              <<<  AC TACHOMETER  >>>           ')
disp('   Enter machine parameters in per unit:')                                             
% -----------------   Machine parameters in per unit:  --------------------
     Ras=input('Stator resistance [default = 0.01] =');
     if isempty(Ras), Ras=0.01; end; 
     Xas=input('Stator reactance [default = 4.6] =');
     if isempty(Xas), Xas=4.6; end; 
     Rr=input('Rotor resistance)[default = 2] =');
     if isempty(Rr), Rr=2; end;
     Xr=input('Rotor reactance [default = 4.6] =');
     if isempty(Xr), Xr=4.6; end; 
     Xm=input('Magnetizing reactance [default = 4.5] =');
     if isempty(Xm), Xm=4.5; end; 
     Vas=input('Voltage [default = 1.0] =');
     if isempty(Vas), Vas=1.0; end;
     f=input('Frequency [default = 1.0] =');
     if isempty(f), f=1.0; end; 
     n1=input('Min speed [default = -1] =');
     if isempty(n1), n1=-1; end; 
     n2=input('Max speed [default =2] =');
     if isempty(n2), n2=2; end;
% ---------------------------------------------------------------
wmm=n1:0.01:n2;                 %  speed range 
M=length(wmm);
for m=1:M                          % # of steps
   n=wmm(m);                       % pu speed
% Z matrix -------------------------------------------------------   
Z=[Ras+j*f*Xas    j*f*Xm       0       
   j*f*Xm        Rr+j*f*Xr   n*Xr    
   -n*Xm          -n*Xr     Rr+j*f*Xr];
% ----------------------------------------------------------------
     V=[Vas 0 0].';
     I=Z\V;
  Is(m)=abs(I(1));phimd=Xm*(I(1)+I(2));phimq=Xm*I(3); 
  phid(m)=abs(phimd); phiq(m)=abs(phimq);
  spd(m)=n;  E(m)=j*Xm*I(3);
  Te(m)=.5*Xm*real(-I(1)*conj(I(3)));         % T_average
  Tp(m)=.5*Xm*abs(-I(1)*I(3));                % T_pulsating
end
%            plots
h=figure('Position',[15 60 980 380],'Name','AC tachometer','NumberTitle','off');
  subplot(231),
plot(spd,abs(E),'k'),xlabel('SPEED'),ylabel('VOLTAGE OUTPUT'),grid
subplot(232),
plot(spd,angle(E)*180/pi,'m'),
xlabel('SPEED'),ylabel('PHASE SHIFT'),grid
subplot(233),
plot(spd,Is,'r'),xlabel('SPEED'),ylabel('CURRENT'),grid
subplot(234),
plot(spd,Te,'c'),xlabel('SPEED'),ylabel('TORQUE'),grid
subplot(235),
plot(spd,Tp,'b'),xlabel('SPEED'),ylabel('PULSATING TORQUE'),grid
subplot(236),
plot(spd,phid,spd,phiq,'g'),ylabel('d-q FLUX'),xlabel('SPEED'),grid
