%   INDUCTION MACHINE STEADY-STATE CHARACTERISTICS
%               Effect of rotor resistance    
%     DATA
clc
Rs=eval(get(hRs,'String'));
Lsl=eval(get(hLs,'String'));
Rr=eval(get(hRr,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
V=eval(get(hVs,'String'));
f=eval(get(hfs,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));

  Rr1=.1*[0.1 0.25 0.5 0.75 1 1.25 1.5 2.0 3.0];
  j=sqrt(-1);
%  
  figure('Position',[470 40 530 600],...
     'Name','EFFECT OF ROTOR RESISTANCE','NumberTitle','off');
    wm= n1:.001:n2;
  Is=[]; Te=[];
  for m=1:9
     Zr=Rr1(m)./(f-wm+eps)+j*Lrl;
     Zm=j*Lm.*Zr./(j*Lm+Zr);
     Zin=Rs/f+j*Lsl+Zm;
     Req=real(Zm);
     I=V./(f*abs(Zin));
     T=I.*I.*Req;
     Is(m,:)=I;
     Te(m,:)=T;
 RR=num2str(Rr1(m));    
 subplot(211),
 plot(wm,Te),xlabel('SPEED'),ylabel('TORQUE'),grid
 title('Effect of rotor resistance Rr')
  text(.03,2.2,'Rr =') 
  text(.1,2.2,RR)
    P(m)=getframe;
 subplot(212),
   plot(wm,Is),xlabel('SPEED'),ylabel('CURRENT'),grid
   text(.03,0.5,'Rr =') 
   text(.1,.5,RR)
    Q(m)=getframe;
   uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','pause', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.9 0.01 0.09 .06], ...
	'String','Pause', ...
    'TooltipString','pause');
end
subplot(211)
movie(P,3)
subplot(212)
movie(Q,3)
uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','im3d', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.15 0.01 0.09 .06], ...
	'String','3D', ...
    'TooltipString','3D');
%hold off