%menu for INDUCTION machines
clc,close all
k=menu('SELECT DEMO:',...
        'Steady-state characteristics of induction machines',...
        'Steady-state characteristics derived from dynamic model',...
        'Parametric steady-state analysis of induction machines',...
        'Induction motor start',...
        'Transient operations of induction machines',...
        'Capacitor-start capacitor-run single-phase induction motor',...
        '6-pulse squarewave excitation of an induction motor',...
        'Sinusoidal PWM excitation of an induction motor',...
        'Induction motor characteristics under constant current excitation',...
        'Scalar , vector , and direct torque control of induction motors',...
        'Doubly fed induction generator driven by a wind turbine',...
        'Close');
    k1=num2str(k); 
    switch k1
        case '1', imss3;
        case '2', imvecss0;
        case '3', imss2;    
        case '4',
           w=menu('SELECT DEMO:',...
        'Induction motor start in any of three common reference frames [pu]',...
        'Induction motor start in rotor flux frame [pu]',...
        'Induction motor start with line impedance [pu]',...
        'Induction motor start with line impedance [SI]',...
        'Static and dynamic characteristics during line start',... 
        'Return');
     w1=num2str(w);
      switch w1
          case '1', im3frames;
          case '2', imrotfluxstart;    
          case '3', imvecstline0;    %imstline
          case '4', imsistline; 
          case '5', imeqvecst0;   
          case '6',clc,close all,im;
      end       
          case '5',
           x=menu('SELECT DEMO:',...
        'Transient runs of an induction motor modeled as an S-function',...
        'Dynamics of an induction motor with sinusoidal excitation [SI]',...
        'Transient runs of an induction motor modeled as a space vector subsystem [SI]',...
        'Transient runs of an induction motor described in a script m-file [SI]',...
        'Transient runs of an induction motor modeled as a space vector subsystem [pu]',...
        'Transient runs of an induction motor described in rotor flux frame [pu]',...
        'Transients runs of an induction motor modeled as a dq scalar subsystem',...
        'Disconnecting and reapplying the 3-phase supply (residual voltage)',...
        'Return');
     x1=num2str(x);
     switch x1
          case '1', imtrsrun3;  
          case '2', imeqsivec1a;   
          case '3', imeqsivec1;
          case '4', imrunsi1;    
          case '5', imeqvec2; 
          case '6', imrotfluxframe;    
          case '7', imeq3;       
          case '8', imtrsopen;
          case '9',clc,close all,im;
          end 
        case '6', imcapvec;   
        case '7', imsq6ssb;   
        case '8', imeqvecpwm1;
        case '9', imhys1;
        case '10',
           q=menu('SELECT DEMO:',...
        'Open-loop volts/Hz control start of an induction motor',...
        'Volts/Hz closed-loop speed control of an induction motor',...      
        'Indirect vector control with current excitation',...
        'Effect of detuning a vector controlled induction motor in steady state',...
        'Indirect vector control with closed-loop speed control',...
        'Indirect vector control with voltage excitation',...
        'Indirect vector control of a variable frequency induction motor drive',...
        'Principle of direct torque control',...
        'Return');
     q1=num2str(q);
     switch q1
        case '1', imstvfvv;   
        case '2', imvecV_hz;  
        case '3',imvectrol; 
        case '4',vectrolss;
        case '5',imvectrol2;
        case '6',imvectrol9;
        case '7',imvectrol5;
        case '8',dtc3;    
        case '9',clc,close all,im;
        end 
     case '11',
           q=menu('SELECT DEMO:',...
        'Static characteristics',...
        'Dynamic characteristics (speed control at generator side)',...      
        'Excitation characteristics with generator disconnected from grid',...
        'Grid connection and generator loading',...
        'Dynamic charateristics (speed control at turbine by pitch controller)',...
        'Return');
     q2=num2str(q);
     switch q2
        case '1', igstatic;   
        case '2', igrun;  
        case '3', igopen; 
        case '4', igconnect;
        case '5', iwrun; 
        case '6', clc,close all,im; 
       end      
     case '12',clc,close all,clear, break;
     end    
    