%                <<<   INDUCTION MOTOR TRANSIENTS  >>>
%          Motor is initialized at a specified operating condition
clc,clear
disp('                                                            imopendat.m')
disp('        <<<    Induction motor transients  >>>         ')
disp('               [ Sinusoidal excitation  ]              ')
disp('               ( per-unit formulation  )               ')
% ---------------------------  DATA  ------------------------------------------
%                  Machine parameters in per unit:                            
         Rs=.01 ;Lsl=0.1     ;
         Rr=.02 ;Lrl=0.1     ;Lm=4.5   ;  
         vs=1   ;ws=1.0      ;freq0=60 ;  Hi=0.60 ;wo=2*pi*freq0;
% --------------------  STEADY-STATE PHASOR CALCULATIONS  --------------------
         n0=0.995;               % (modify n0 to change load)
     disp('          Parameters of induction machine in per unit    ')
disp('                                                         ')
disp('    Rs        Lsl       Rr        Lrl       Lm       vs         ws')
param=[Rs Lsl Rr Lrl Lm vs ws];
disp(param)
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
    Zr=Rr/(ws-n0)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);
    op=[n0  Tl0];    disp('       n      Tl  ')  
    disp(op) 
        L=[Lsl+Lm   0      Lm     0   
          0   Lsl+Lm    0     Lm
          Lm    0     Lrl+Lm  0
          0     Lm      0     Lrl+Lm]
       t1=1;      %  OPEN
       t2=2;      %  RECLOSE
      ic=[phids phiqs phidr phiqr n0 0 ]' %       initial conditions 
 %ic=zeros(6,1);Tl0=0;
