%                <<<   INDUCTION MOTOR PHASOR DIAGRAM >>>
%  Motor operating condition is established by specifying the speed

disp('      <<<    Induction motor phasor diagram  >>>         ')
disp('          Parameters of induction machine in per unit    ')
%     DATA

Rs=eval(get(hRs,'String'));
Lsl=eval(get(hLs,'String'));
Rr=eval(get(hRr,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
vs=eval(get(hvs,'String'));
ws=eval(get(hws,'String'));
freq0=eval(get(hf,'String'));
n0=eval(get(hn0,'String'));
%
if n0==1.0;
     n0=1-eps;
end
%%%%%%%%%%%%%%%%%
disp('    Rs        Lsl       Rr        Lrl       Lm        vs        ws')
param=[Rs Lsl Rr Lrl Lm vs ws];
disp(param)
wo=2*pi*freq0;wk=ws;
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
    Zr=Rr/(ws-n0)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n      Tl         Is        Ir        fs       fr')  
    disp(op) 
 figure('Position',[50 65 450 565],'Name','PHASOR DIAGRAM',...
         'NumberTitle','off',...
         'DoubleBuffer','off');
      p1=axes('Position',[0.1 0.05 .8 .96]);
      compass(Is,'r');text(real(Is),imag(Is),'I_s'),hold on
      compass(Ir,'m');text(real(Ir),imag(Ir),'I_r')
      compass(phis,'g');text(real(phis),imag(phis),'f_s')
      compass(phir,'b');text(real(phir),imag(phir),'f_r')
      compass(1,0,'k');text(1,0,'V')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      title('PHASOR DIAGRAM ')
      text(-1.2*Ismag,-1.4*Ismag,['Torque = ',num2str(Tl0)],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.52*Ismag,['Speed = ',num2str(n0)],'Fontweight','b','FontSize',12)
      text(-1.2*Ismag,-1.64*Ismag,['Stator current = ',num2str(Ismag)],'FontWeight','b','FontSize',12)
      legend('Is','Ir','fs','fr','V',0)
      hold off     
% 