%Data
clc
h=findobj(gcf,'Tag','Rs');Rs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lsl');Lsl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Rr');Rr=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lrl');Lrl=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Lm');Lm=str2num(get(h,'string'));
h=findobj(gcf,'Tag','vs');vs=str2num(get(h,'string'));
h=findobj(gcf,'Tag','ws');ws=str2num(get(h,'string'));
h=findobj(gcf,'Tag','n0');n0=str2num(get(h,'string'));
%%%%%%
% Compute
Ls=Lsl+Lm ; Lr=Lrl+Lm;
j=sqrt(-1);
  Zr=Rr/(ws-n0+eps)+j*Lrl; Zm=j*Lm*Zr/(j*Lm+Zr);  Zin=Rs/ws+j*Lsl+Zm;
    Is=vs/(ws*Zin);  Ir=-Is*j*Lm/(j*Lm+Zr); Ismag=abs(Is);Irmag=abs(Ir);
    Req=real(Zm);    Tl0=Is*conj(Is)*Req;
    phis=Ls*Is+Lm*Ir;  phir=Lm*Is+Lr*Ir;    phids=real(phis);  phiqs=imag(phis);
    phidr=real(phir);  phiqr=imag(phir);    phismag=abs(phis); phirmag=abs(phir);
    op=[n0  Tl0  Ismag   Irmag  phismag phirmag] ;
    disp('                 Operating point ')
    disp('       n      Tl         Is        Ir        fs       fr')  
    disp(op) 
% Plot   
figure('Units','normalized','Position',[.014 .149 .39 .65],'Name','PHASORS',...
      'NumberTitle','on',...
      'DoubleBuffer','off');
     h1=axes('Position',[0 0 1 1],'Visible','off');
     axes('Position',[.1 .1 .8 .8])
     if abs(Is)<1
      compass(1,'w'),hold on
     end 
      compass(Is,'r');text(real(Is),imag(Is),'I_s'),hold on
      compass(Ir,'m');text(real(Ir),imag(Ir),'I_r')
      compass(phis,'g');text(real(phis),imag(phis),'f_s')
      compass(phir,'b');text(real(phir),imag(phir),'f_r')
      compass(1,0,'k');text(1,0,'V')
      set(findobj(gca,'Type','line'),'LineWidth',2)
      title('PHASORS','Fontweight','b','color','r')
      legend('Is','Ir','fs','fr','V',0)
      hold off
      set(gcf,'CurrentAxes',h1)
      text(.05,.079,['Torque = ',num2str(Tl0)],'Fontweight','b','FontSize',12,'color','b')
      text(.05,.05,['Speed = ',num2str(n0)],'Fontweight','b','FontSize',12,'color','b')
      text(0.05,.02,['Stator current = ',num2str(Ismag)],'FontWeight','b','FontSize',12,'color','b')
  % 
  imphasors11
h1=findobj('tag','is');set(h1,'String',num2str(Is))
h2=findobj('tag','ir');set(h2,'String',num2str(Ir))
h3=findobj('tag','phis');set(h3,'String',num2str(phis))
h4=findobj('tag','phir');set(h4,'String',num2str(phir))
h5=findobj('tag','wm');set(h5,'String',num2str(n0))
h6=findobj('tag','Te');set(h6,'String',num2str(Tl0))