%      Single-phase induction motor
clear close all,clc
disp(date)
disp(' <<<  Two-phase induction motor with asymmetrical stator  >>>  ')
disp('                     Stator reference frame ')
disp('   Enter machine parameters in per unit:')                                             
% -----------------   Machine parameters in per unit:  ----------------
     Ras=input('Stator phase <a> resistance [default = 0.01] =');
     if isempty(Ras) Ras=0.01; end; 
     Xas=input('Stator phase <a> reactance [default = 4.6] =');
     if isempty(Xas) Xas=4.6; end;
     Rbs=input('Stator phase <b> resistance [default = 0.01] =');
     if isempty(Rbs) Rbs=0.01; end; 
     Xbs=input('Stator phase <b> reactance [default = 4.6] =');
     if isempty(Xbs) Xbs=4.6; end; 
     Rr=input('Rotor resistance)[default = 0.02] =');
     if isempty(Rr) Rr=0.02; end;
     Xr=input('Rotor reactance [default = 4.6] =');
     if isempty(Xr) Xr=4.6; end; 
     Xm=input('Magnetizing reactance [default = 4.5] =');
     if isempty(Xm) Xm=4.5; end; 
     Vas=input('Phase <a> voltage [default = 1.0] =');
     if isempty(Vas) Vas=1.0; end;
     Vbs=input('Phase <b> voltage [default = -j1.0] =');
     if isempty(Vbs) Vbs=-j; end;
     f=input('Frequency [default = 1.0] =');
     if isempty(f) f=1.0; end; 
     n1=input('Min speed [default = 0] =');
     if isempty(n1) n1=0; end; 
     n2=input('Max speed [default = 1] =');
     if isempty(n2) n2=1; end;
     j=sqrt(-1);
% 
wmm=[n1:0.01:n2];                      % speed range 
for m=1:size(wmm,2)                    % # of steps
   n=wmm(m);
% ---------------------------------------------------   
     Z=[Ras+j*f*Xas     0         j*f*Xm      0
       0         Rbs+j*f*Xbs     0        j*f*Xm
    j*f*Xm           n*Xm    Rr+j*f*Xr    n*Xr
    -n*Xm           j*f*Xm     -n*Xr    Rr+j*f*Xr];
% --------------------------------------------------- 
 V=[Vas; Vbs; 0; 0;];
 I=Z\V;
 spd(m)=n;
 Ias(m)=abs(I(1));Ibs(m)=abs(I(2));
 Te(m)=.5*Xm*real(I(2)*conj(I(3))-I(1)*conj(I(4)));
 Tp(m)=.5*Xm*abs(I(2)*I(3)-I(1)*I(4));
end
%     Plots
 h=figure('Position',[510 400 490  290],'Name','Torque-Speed curve',...
    'NumberTitle','off');
 figure(h)
 plot(spd,Te,'-r'),xlabel('SPEED'),ylabel('AVERAGE TORQUE'),grid;
 h=figure('Position',[510 34 490  290],'Name','Torque-Speed curves',...
    'NumberTitle','off');
 figure(h)
 plot(spd,Tp,'-b'),xlabel('SPEED'),ylabel('PULSATING TORQUE'),grid
 h=figure('Position',[13 34 490  420],'Name','Current-speed curve',...
    'NumberTitle','off');
 figure(h)
    subplot(211),plot(spd,Ias,'-r'),xlabel('SPEED'),ylabel('Ias'),grid 
    subplot(212),plot(spd,Ibs),xlabel('SPEED'),ylabel('Ibs'),grid


