%  Two-phase induction motor with asymmetrical stator  >>>  ')
%                     Stator reference frame ')
                                           
% -----------------   Machine parameters in per unit:  ----------------
km=0;
Ras=eval(get(hRas,'String'));
Rbs=eval(get(hRbs,'String'));
Xas=eval(get(hXas,'String'));
Xbs=eval(get(hXbs,'String'));
Rr=eval(get(hRr,'String'));
Xr=eval(get(hXr,'String'));
Xm=eval(get(hXm,'String'));
Vas=eval(get(hVas,'String'));
Vbs=eval(get(hVbs,'String'));
f=eval(get(hf,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));

      j=sqrt(-1);
% 
wmm=[n1:0.01:n2];                      % speed range 
for m=1:size(wmm,2)                    % # of steps
   n=wmm(m);
% ---------------------------------------------------   
     Z=[Ras+j*f*Xas     0         j*f*Xm      0
       0         Rbs+j*f*Xbs     0        j*f*Xm
    j*f*Xm           n*Xm    Rr+j*f*Xr    n*Xr
    -n*Xm           j*f*Xm     -n*Xr    Rr+j*f*Xr];
% --------------------------------------------------- 
 V=[Vas; Vbs; 0; 0;];
 I=Z\V;
 spd(m)=n;
 Ias(m)=abs(I(1));Ibs(m)=abs(I(2));
 Te(m)=.5*Xm*real(I(2)*conj(I(3))-I(1)*conj(I(4)));
 Tp(m)=.5*Xm*abs(I(2)*I(3)-I(1)*I(4));
end
%     Plots
 h=figure('Position',[510 390 490  290],'Name','Torque-Speed curve',...
    'NumberTitle','off');
 
 plot(spd,Te,'-r'),xlabel('SPEED'),ylabel('AVERAGE TORQUE'),grid;
 h=figure('Position',[510 34 490  270],'Name','Torque-Speed curves',...
    'NumberTitle','off');
 
 plot(spd,Tp,'-b'),xlabel('SPEED'),ylabel('PULSATING TORQUE'),grid
 h=figure('Position',[13 240 490  420],'Name','Current-speed curve',...
    'NumberTitle','off');
 
    subplot(211),plot(spd,Ias,'-r'),xlabel('SPEED'),ylabel('Ias'),grid 
    subplot(212),plot(spd,Ibs),xlabel('SPEED'),ylabel('Ibs'),grid


