%       Steady-state characteristics of induction motor
%       Variable-frequency, variable-voltage operation
%       (in per unit)
%     DATA
clc
Rs=eval(get(hRs,'String'));
Lsl=eval(get(hLs,'String'));
Rr=eval(get(hRr,'String'));
Lrl=eval(get(hLr,'String'));
Lm=eval(get(hLm,'String'));
V=eval(get(hVs,'String'));
f=eval(get(hfs,'String'));
n1=eval(get(hn1,'String'));
n2=eval(get(hn2,'String'));
%
V=[1 1 1 0.9 0.8 0.7 0.6 0.5 0.4 0.3 0.2 0.1];
f=[1.2 1.1 1 0.9 0.8 0.7 0.6 0.5 0.4 0.3 0.2 0.1];
j=sqrt(-1);
%
figure('Position',[470 40 530 600],...
     'Name','CONSTANT Volts/Hertz CHARACTERISTICS','NumberTitle','off');
   wm= n1:.001:n2; 
  Is=[]; Te=[];
for k=1:12
   Zr=Rr./(f(k)-wm+eps)+j*Lrl;
  Zm=j*Lm.*Zr./(j*Lm+Zr);
  Zin=Rs/f(k)+j*Lsl+Zm;
  Req=real(Zm);
  I=V(k)./(f(k)*abs(Zin));
  T=I.*I.*Req;
  for p=1:length(T)
       if T(p)<0 T(p)=0; end
   end     
  Is(k,:)=I;
  Te(k,:)=T;
  VV=num2str(V(k));
  ff=num2str(f(k));
  subplot(211),   
    plot(wm,Te),grid
    title('Constant Volts/Hz operation'),xlabel('SPEED'),ylabel('TORQUE')
    text(.03,2.8,'V='),text(.26,2.8,'f=')
    text(.1 ,2.8,VV),text(.3,2.8,ff)
    %axis([0 1.2 0 3])
    M(k)=getframe; 
subplot(212),   
    plot(wm,Is),xlabel('SPEED'),ylabel('CURRENT'),grid
    text(.03,0.4,'V='),text(.26,0.4,'f=')
    text(.1,.4,VV),text(.3,.4,ff)
    %axis([0 1.2 0 6])
    N(k)=getframe;
 uicontrol('Units','normalized', ...
	'BackgroundColor',[.3 .3 .8], ...
	'Callback','pause', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.9 0.01 0.09 .06], ...
	'String','Pause', ...
   'TooltipString','pause');
end
subplot(211)
movie(M,3)
subplot(212)
movie(N,3)

