% plots for imabcsim0.mdl
close all
lg=length(t);
sg=0.02;               % Blanking factor
rg=(fix(sg*lg):lg);   % Plotting range
spdsync=120*freq0/p;
spdrg=ones(1,length(t(rg)))*spdsync;
tf=t(lg);

Te=y(:,1);spd=y(:,3);TL=y(:,2);vas=y(:,4);
ias=x(:,1);ibs=x(:,2); ics=x(:,3);
Is=sqrt(ias.^2+(ibs-ics).^2/3)  ;              % Stator current magnitude [A]
iar=x(:,4); ibr=x(:,5); icr=x(:,6);            % Rotor currents [A]

figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Induction motor transients (abc)');
     figure(1)
  plot(t(rg),spd(rg),'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [rpm]'),hold on
  plot(t(rg),spdrg,'-r')
  set(gca,'Xlim',[sg*tf tf])
  legend('motor speed','synchronous speed',3) 

figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Induction motor transients (abc)');  
       figure(2)
  plot(t(rg),Te(rg),'-b',t(rg),TL(rg),'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [N.m]')
  legend('electromagnetic torque','load torque',2)
  set(gca,'Xlim',[sg*tf tf])
  
figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Induction motor transients (abc)'); 
     figure(3)
  plot(spd(rg),Te(rg),'color',[.6 .2 .4],'Linewidth',1.5),grid,title('TORQUE-SPEED'),xlabel('Speed [rpm]'),ylabel('Torque [N.m]')   

figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor transients (abc)');   
     figure(4)
  plot(t(rg),iar(rg),'-r',t(rg),ibr(rg),'-g',t(rg),icr(rg),'-b'),grid,title('ROTOR CURRENTS'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[sg*tf tf])
 
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor transients (abc)');   
     figure(5)
  plot(t(rg),ibs(rg),'-g',t(rg),ics(rg),'-b',t(rg),ias(rg),'-r',t(rg),Is(rg),'-k'),grid,title('STATOR CURRENTS'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[sg*tf tf])
  
  figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Induction motor in steady state');
     figure(6)
  at1=find(t>3.0 -0.001 & t<3.0);
  at2=find(t>3-0.001+1.02/freq0 & t<3+1.02/freq0);
  rp1=at1:at2;
  [haxes,hline1,hline2]=plotyy(t(rp1)-t(at1),vas(rp1),t(rp1)-t(at1),ias(rp1));
  axes(haxes(1))
  ylabel('Stator voltage [V]'),xlabel('Time [s]')
  axes(haxes(2))
  ylabel('Stator current [A]','color','red'),title('Light load'),grid
   set(hline2,'color','red')
   %set(gca,'Ylim',[-20 20])
   
  figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Induction motor in steady state)');  
       figure(7)
  at3=find(t>6.0 -0.001 & t<6.0);
  at4=find(t>6-0.001+1.02/freq0 & t<6+1.02/freq0);
  rp2=at3:at4;
  [haxes,hline1,hline2]=plotyy(t(rp2)-t(at3),vas(rp2),t(rp2)-t(at3),ias(rp2));
  axes(haxes(1))
  ylabel('Stator voltage [V]'),xlabel('Time [s]')
    axes(haxes(2))
  ylabel('Stator current [A]','color','red'),title('Heavy load'),grid
  set(hline2,'color','red')
   
  figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor in steady state');   
     figure(8)
  pt1=find(t>2.0 -0.001 & t<2.0);
  pt2=find(t>5-0.001 & t<5);
  rp=pt1:pt2;
  plot(t(rp),ias(rp),'-r',t(rp),iar(rp),'-b'),grid,title('Light load'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[2 4],'Ylim',[-15 15])
  legend('Stator current','Rotor current',3) 
  
  figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Induction motor in steady state'); 
     figure(9)
  pt3=find(t>6 -0.001 & t<6);
  pt4=find(t>8-0.001 & t<8);
  rph=pt3:pt4;
  plot(t(rph),ias(rph),'-r',t(rph),iar(rph),'-b'),grid,title('Heavy load'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[6 8])
  legend('Stator current','Rotor current',3)    