% plots for imdqrun0.mdl
close all
lg=length(t);
sg=0.02;               % Blanking factor
rg=(fix(sg*lg):lg);   % Plotting range
spdsync=120*freq0/p;
spdrg=ones(1,length(t(rg)))*spdsync;
tf=t(lg);

figure('Units','Normalized','Position',[.02 .50 .46 .35],'Name','Induction motor transients (dq)');
     figure(1)
  plot(t(rg),spd(rg),'-m'),grid,title('SPEEDS'),xlabel('Time [s]'),ylabel('Speed [rpm]'),hold on
  plot(t(rg),spdrg,'-r')
  set(gca,'Xlim',[sg*tf tf])
  legend('motor speed','synchronous speed',3) 
  
figure('Units','Normalized','Position',[.49 .50 .46 .35],'Name','Induction motor transients (dq)');  
       figure(2)
  plot(t(rg),Te(rg),'-b',t(rg),TL(rg),'-c'),grid,title('TORQUES'),xlabel('Time [s]'),ylabel('Torque [N.m]')
  legend('electromagnetic torque','load torque',2)
  set(gca,'Xlim',[sg*tf tf])
  
 figure('Units','Normalized','Position',[.02 .07 .46 .33],'Name','Induction motor transients (dq)');   
     figure(3)
  plot(t(rg),ias(rg),'-r',t(rg),imag(rg),'-k'),grid,title('CURRENT'),xlabel('Time [s]'),ylabel('Current [A]')
  set(gca,'Xlim',[sg*tf tf])
  
  figure('Units','Normalized','Position',[.49 .07 .46 .33],'Name','Induction motor transients (dq)'); 
     figure(4)
  plot(spd(rg),Te(rg),'color',[.6 .2 .4],'Linewidth',2),grid,title('TORQUE-SPEED'),xlabel('Speed [rpm]'),ylabel('Torque [N.m]') 
