%smcapcalc.m
clc
warning off
h=findobj(gcf,'Tag','Vta');Va=str2num(get(h,'string'));
h=findobj(gcf,'Tag','pf');pf=str2num(get(h,'string'));
h=findobj(gcf,'Tag','Ia');Ia=str2num(get(h,'string'));
h=findobj(gcf,'Tag','X');Xs=str2num(get(h,'string')); 
%
%if abs(pf)>1, error('          Pf must be <= 0'); end
if abs(pf)>1,
 warndlg('  abs(pf) must be <= 1','error');
 Fs=4096; 
 w=1500; t=[0:1/Fs:.15];
 y=sin(w*t);
 sound(y,Fs)
 break
end 
A=Va*Ia;
D=Va^2/Xs;
phio=acos(abs(pf));
if pf<0, s=-1; else s=1; end
Po1=A*cos(phio);  Qo1=A*sin(s*phio);
Po=sprintf('%5.3f',Po1); Qo=sprintf('%5.3f',Qo1);
deltao=atan(Po1/(Qo1+D)); 
del1=deltao*180/pi;
del=sprintf('%5.2f',del1);
phio01=s*phio*180/pi;
phio0=sprintf('%5.2f',phio01);
Ef1=Po1*Xs/(Va*sin(deltao));
Ef=sprintf('%5.3f',Ef1);
B=Va*Ef1/Xs;
gamo=asin(D/A);
delta=pi/2-deltao:.01:pi/2;
phi=[-gamo:0.01:s*phio];
x1=A*cos(phi);
x2=A*sin(phi);
y1=B*cos(delta);
y2=B*sin(delta)-D;
%
plot([0 A*cos(gamo)],[-D -D],'-c','linewidth',3),...
    xlabel('Per-unit power P','color','b','fontweight','b'),...
    ylabel('   (lead)   |      Per-unit reactive power Q  | (lag)','color','b','fontweight','b'),...
    grid,hold on
x=[0 A*cos(gamo) x1 y1 0 0];
y=[-D+.01 -D+.01 x2 y2 B-D -D]; 
fill(x,y,[.9 .9 .98])
plot(x1,x2,'r','linewidth',3)
plot(y1,y2,'b','linewidth',3)
plot([0 0],[B-D -D],'k','linewidth',3)
plot([0 1.2*A],[0 0],'k')
plot([0 Po1],[-D Qo1],'w')
plot([0 Po1],[0 Qo1],'w')
plot([0 A*cos(gamo)],[0 -D],'w')
 text(Po1+.1,Qo1+.05,[ 'Po = ',Po,' |  \delta_o= ',del],'color',[0 .9 .1])
 text(Po1+.1,Qo1-.05,[ 'Qo = ',Qo,' | \phi_o= ',phio0],'color',[0 .9 .1])
 text(Po1+.2,Qo1-.15,[ ' Ef_o= ',Ef],'color',[0 .9 .1])
 plot(Po1,Qo1,'ok','markersize',8,'markerfacecolor','k')
 plot(0,0,'xk','markersize',9)
 plot(0,-D,'xk','markersize',9)
vecarrow([0 -D],[B*cos(pi/2-deltao) -D+B*sin(pi/2-deltao)],'b')
vecarrow([0 0],[.99*A*cos(phio) .99*A*sin(s*phio)],'r')
text(1.05*A*cos(phio),1.05*A*sin(-phio),'V_aI_a','color','r')
text(1.05*B*cos(1.2),-D+1.03*B*sin(1.2),'V_aE_f/X_s','color','b')
text(0.04,-D+.06,'-V_a^2/X_s','color','k')
text(.08,-D+.4,'\delta_o','color','b','fontsize',13)
text(.2,s*.07,'\phi_o','color','r','fontsize',13)
legend('Stability limited','Armature limited','Field limited',4)
axis equal
%
 [x y]=ginput(3);
         v=[x y];
         a=v(1,1:2);
         b=v(2,1:2);
         c=v(3,1:2);
         h1=findobj('tag','Z1');set(h1,'String',num2str(a));
         h2=findobj('tag','Z2');set(h2,'String',num2str(b)); 
         h3=findobj('tag','Z3');set(h3,'String',num2str(c));
hold off
 %