%                <<<   DATA FOR SMabclibload3.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [pu] %%%%%%%%%%%%%%%%%%%%%%%%
Ra=0.02     ; %Stator resistance 
Ls=1.15     ; %Synchronous inductance
Lal=0.15    ; %Armature leakage inductance
Rf=0.015  ; %Field resistance (proper)
Lf=1.2      ; %Field inductance
Rkd=0.2     ; %D-axis damper resistance
Rkq=0.2     ; %Q-axis damper resistance
Lkd=1.32    ; %D-axis damper inductance
Lkq=1.26    ; %Q-axis damper inductance
freq0=60    ; %Frequency [Hz]
wo=2*pi*freq0 ; %Base frequency (rad/s)
H=1.0       ; %Inertia constant [s]
Bm=1e-6     ; %Frictional coefficient
Vm=1.0      ; %Stator voltage
t2=8.0      ; %Time of load application [s]
TL1=-0.02   ; %Initial load torque
TL2=-1.0    ; %Final load torque
vf1=0.016   ; %Initial field dc voltage
vf2=0.03    ; %Final field dc voltage
t1=3.0      ; %Time of load application [s]
t2=1.0      ; %Time of reactive load application [s]
Bm=1e-6     ; %Frictional coefficient
gam=2*pi/3  ;       
Lm=Ls-Lal;
Lm1=Lm;
ifo=vf1/Rf;
Lfkd=1.0; Laf=1.0; Lakd=1.0; Lakq=1.0; 

 %xo=[-0.0133    0.0414   -0.0281    ifo   0.0000    0.0000    1.0000   4.7323]';
 
    R=diag([Ra Ra Ra Rf Rkd Rkq]);               % Resistance matrix 
     
    
   % Inductance matrices 
    Lss=[Ls   -Lm1/2 -Lm1/2   
        -Lm1/2   Ls  -Lm1/2
        -Lm1/2 -Lm1/2   Ls] ;
    
    Lrr=[Lf   Lfkd  0 
        Lfkd   Lkd  0
          0     0  Lkq];  
  
  %% Lsr=[Laf*cos(theta)     Lakd* cos(theta)     -Lakq*sin(theta)
  %       Laf*cos(theta-gam) Lakd*cos(theta-gam)  -Lakq*sin(theta-gam)
  %       Laf*cos(theta+gam) Lakd*cos(theta+gam)  -Lakq*sin(theta+gam)];
    
   %% dLsr=[-Laf*sin(theta)     -Lakd*sin(theta)      -Lakq*cos(theta)
   %     -Laf*sin(theta-gam) -Lakd*sin(theta-gam)  -Lakq*cos(theta-gam)
   %     -Laf*sin(theta+gam) -Lakq*sin(theta+gam)  -Lakq*cos(theta+gam)];
  
  %% L = [Lss Lsr
  %%     Lsr' Lrr]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/wodt = R*I + d(L*I)/wodt = (R + wm*dL/dtheta)*I + L*dI/wodt  
  %%% Mechanical system equation:
  %%%    Te =2H*dwm/dt + TL + Bm*wm
  %%%    wm = dtheta/wodt
       
  %% Te=1/2*I'*dLdtheta*I          Electromagnetic torque
 