%                <<<   DATA FOR SMabcstab7.mdl  >>>
clc,close all
%%%%%%%%%%%%%%%%%%%%%%% PARAMETERS [pu] %%%%%%%%%%%%%%%%%%%%%%%%
Ra=0.018    ; %Stator resistance 
Ld=1.15     ; %Direct-axis inductance%%%%%%%%%%%%%%%%%%
Lq=0.90     ; %Quadrature-axis inductance%%%%%%%%%%%%%%
Lal=0.15    ; %Armature leakage inductance
Rf=0.015   ; %Field resistance 
Lf=1.2      ; %Field inductance
Rkd=0.2     ; %D-axis damper resistance
Rkq=0.2     ; %Q-axis damper resistance
Lkd=1.32    ; %D-axis damper inductance
Lkq=1.26    ; %Q-axis damper inductance
freq0=60    ; %Frequency [Hz]
wo=2*pi*freq0 ; %Base frequency (rad/s)
H=4.0       ; %Inertia constant [s]
TL=-0.50    ; %Load torque
Bm=1e-6     ; %Frictional coefficient
Vm=1.0      ; %Stator voltage
vf=0.020    ; %Field excitation
to=.5       ; %Time of short [s]
tc=0.15     ;%Clearing time [s]
ifo=vf/Rf   ;
gam=2*pi/3  ;       

 Lad=Ld-Lal;   Laq=Lq-Lal;
   L2=(Lad-Laq)/2;
   Lm=(Lad+Laq)/2;
   Lao=Lm+Lal;
   Labo=-0.5*Lm;
     
Lfkd=1.0; Laf=1.0; Lakd=1.0; Lakq=1.0;  
 
    R=diag([Ra Ra Ra Rf Rkd Rkq]);               % Resistance matrix 
    
    % Ic=[-0.3314    0.2780    0.0534  ifo 0 0 1.0 5.0571]';    
    
   % Inductance matrices :
    %  Laa=Lao+L2*cos(2*theta);           Lab=Labo+L2*cos(2*theta-gam);
    %  Lbb=Lao+L2*cos(2*(theta-gam));     Lbc=Labo+L2*cos(2*theta);
    %  Lcc=Lao+L2*cos(2*(theta+gam));     Lac=Labo+L2*cos(2*theta+gam);
           
   % Lss=[Laa   Lab Lac   
   %      Lab   Lbb Lbc 
   %      Lac   Lbc Lcc]; 
    
    Lrr=[Lf   Lfkd  0 
        Lfkd   Lkd  0
          0     0  Lkq];  
  
  %% Lsr=[Laf*cos(theta)     Lakd* cos(theta)     -Lakq*sin(theta)
  %       Laf*cos(theta-gam) Lakd*cos(theta-gam)  -Lakq*sin(theta-gam)
  %       Laf*cos(theta+gam) Lakd*cos(theta+gam)  -Lakq*sin(theta+gam)];
    
   %% dLsr=[-Laf*sin(theta)     -Lakd*sin(theta)      -Lakq*cos(theta)
   %     -Laf*sin(theta-gam) -Lakd*sin(theta-gam)  -Lakq*cos(theta-gam)
   %     -Laf*sin(theta+gam) -Lakq*sin(theta+gam)  -Lakq*cos(theta+gam)];
  
  %% L = [Lss Lsr
  %%     Lsr' Lrr]
  
  %%% Matrix formulation of induction machine equations in abc phase variable model
  %%% Constitutive flux-current relations:
  %%%    F = L*I   or  I = L\F  
  %%% Electrical system equations:
  %%%    V= R*I + dF/wodt = R*I + d(L*I)/wodt = (R + wm*dL/dtheta)*I + L*dI/wodt  
  %%% Mechanical system equation:
  %%%    Te =2H*dwm/dt + TL + Bm*wm
  %%%    wm = dtheta/wodt
       
  %% Te=1/2*I'*dLdtheta*I          Electromagnetic torque
 