% sm phasor diagram
L=length(t);
Ifd=iff(L); Ifq=0;
Efd=0; Efq=Lmd*iff(L);
Id=i(L,1); Iq=i(L,2); I=Id+j*Iq;
Vd=v(L,1); Vq=v(L,2); V=Vd+j*Vq;
VILq=-(Ra+Lq*j)*I;          Vqp=V+VILq;; Vqpd=real(Vqp); Vqpq=imag(Vqp);
VLd=vL(L,1); VLq=vL(L,2);
figure('Units','normalized','Position',[.52 .08 .45 .7],'Name','PHASORS',...
         'NumberTitle','on',...
         'DoubleBuffer','off');
compass(iff(L),'g'),hold on;compass(v(L,1),v(L,2),'b');                        
compass(i(L,1),i(L,2),'r');   
compass(vL(L,1),vL(L,2),'c');
compass(j*Lmd*iff(L),'m')   
set(findobj(gca,'Type','line'),'Linewidth',2);
%set(h,'LineWidth',2)
title('Phasors oriented along dq axes')                                          
figure('Units','normalized','Position',[.02 .08 .49 .7],'Name','PHASORS',...
         'NumberTitle','on',...
         'DoubleBuffer','off');
vecarrow([0 0],[Ifd Ifq],'g'),grid,hold on
vecarrow([0 0],[Efd Efq],'m')
vecarrow([0 0],[Vd Vq],'b')
vecarrow([0 0],[Id Iq],'r')
vecarrow([0 0],[VLd VLq],'c')
vecarrow([Vd Vq],[Vqpd Vqpq],'y')
plot(0,0,'kx','MarkerSize',10)
text(-0.1,1.05*Efq,'q axis')
text(.85*Ifd,-0.08,'d axis')
title('Phasor diagram along dq axes')
 axis equal 
 h=findobj(gca,'Type','line');
set(h,'LineWidth',2)
hr=h(length(h):-1:1);
 legend(hr,'If','Ef','Vt','Ia','VL','-(Ra+jLq)Ia')
 plot(0,0,'kx','MarkerSize',10,'linewidth',2)
 hold off     
