%smvecdef2b.m     SYNCHRONOUS MACHINE PARAMETERS AND OPERATING POINT at noload
clear,clc,close all
disp(date)
% ------------------------  DATA  --------------------------------------------
%                      Machine parameters (pu) :
        Ra=.018;Ld=1.15;Lq=.75;Lal=0.15; Rth=0 ; Lth=0 ;Ra=Ra+Rth;Lal=Lal+Lth;
        Rf=0.001; Lfl=0.2; Rkd=0.02; Lkdl=0.11; Rkq=0.04; Lkql=0.15;
               H=4.0;Bm=1e-6; freq0=60.0;wo=2*pi*freq0 ;bet=0 ;
%                      Open circuit conditions:
               V=1.0 ; I=0 ; theta=0;
% ----------------------------------------------------------------------------
               disp('     MACHINE PARAMETERS in per unit:            ')
disp('   Ra         Ld        Lq         Lal  ')
disp([Ra Ld Lq Lal])
disp('    Rf        Lfl       Rkd       Lkdl        Rkq       Lkql       H ')
param1=[Rf Lfl Rkd Lkdl Rkq Lkql H]; 
disp(param1)
%
disp('     V      I  ' )   
param2=[V I];
disp(param2)
           %        Steady-state calculation of operating point:                  
    j=sqrt(-1);
    Lmd=Ld-Lal;Lmq=Lq-Lal ;
    Eq1=V-(Ra+j*Lq)*I*exp(-j*theta);
    delta0=-angle(Eq1);
    Eq=abs(Eq1);
    Ia=I*exp(j*(pi/2+delta0-theta));
    Vt=V*exp(j*(pi/2+delta0))      ;
        id0=real(Ia) ; iq0=imag(Ia)  ;
        vd0=real(Vt) ; vq0=imag(Vt)  ;
    Ef0=vq0-Ra*iq0-Ld*id0; if0=Ef0/Lmd;
    Te0=Eq*iq0;
%                 PARAMS     
     L=[Lal+Lmd    0     Lmd    
           0    Lal+Lmq   0    
         Lmd       0   Lmd+Lfl];
      L_1=inv(L);
%     Initial conditions:
           phid=Ld*id0+Lmd*if0   ;  phiq=Lq*iq0 ;fa0=[phid phiq];
           phif0=(Lmd+Lfl)*if0+Lmd*id0;
           n0=1.0 ;   Tl=Te0      ; vf0=Rf*if0   ;
      