%   Structure of a squirrel-cage induction motor
clc,clear,close all

    avisqui=avifile('squirrelconfig.avi','compression','cinepak'); 
figure('units','normalized','numbertitle','off','name','SQUIRREL-CAGE MOTOR','menubar','none','units','normalized',...
    'position',[0.2 .2 .8 .8]);
set(gcf,'color','w') 
 
%    squirrel-cage induction machine picture
e=0;z=0;
dir=[0 0 1];
lv=[cos(60*pi/180),cos(90*pi/180),cos(120*pi/180)];
%
for e=0:2:10
    z=z+1;
    p=-1:.4:2;
    [X,Y,Z]=cylinder(.5,200);surf(X,Y,Z,'facecolor',[.6 .6 .6],'edgecolor',[.9 .9 .9 ]);hold on
    [X,Y,Z]=cylinder(1,200);surf(X,Y,Z,'facecolor',[.6 .6 .6],'edgecolor',[.9 .9 .9]);
    [X,Y,Z]=cylinder(.6,24);h1=surf(X,Y,Z,'facecolor',[.6 .8 .8],'edgecolor','y','linewidth',7);
     plot3(zeros(size(p)),zeros(size(p)),p,'color',[.5 .4 .4],'linewidth',15);
     rotate(h1,dir,e)
     axis equal
     set(gca,'visible','off','cameraupvector',lv)
     hold off
     f=getframe(gcf);
     avisqui=addframe(avisqui,f);      
     M(z)=getframe(gca);
 end 
    avisqui=close(avisqui);
    
   uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','movie(M,1)', ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.19 0.15 0.11 .06], ...
	'String','Repeat', ...
    'TooltipString','Repeat');
   uicontrol('Units','normalized', ...
   'Style','PushButton',...
	'BackgroundColor',[.2 .3 .8], ...
	'Callback','close,clear,close all',...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 1 1], ...
	'Position',[0.72 0.15 0.11 .06], ...
	'String','Quit', ...
    'TooltipString','quit');
 
rotate3d

%

