% Synchronous machine transient stability
% Simplified <swing0.m> file associated with ODE function <sweq0.m>
   clear,clc,close all
% Data (pu):
   V=1; E=1.03; Pm=0.8; Xbefore=0.4; H=2.76; f0=60;
   wo=2*pi*f0;
% Initial conditions:
   delta0=asin(Pm*Xbefore/(E*V));
       x0=[delta0 wo]';
% Solver:
   tspan=[0 2];
   options=odeset('RelTol',1e-3,'maxstep',2e-3);
   [t,x]=ode23(@sweq0,tspan,x0,options);
% Plots:
  figure('Units','Normalized','Position',[.01 .2 .49 .55],'Name','Synchonous machine transient stability');
   plot(t,x(:,1)*180/pi,'-r'),title('SWING CURVES'),xlabel('Time [s]'),ylabel('Angle \delta [o]'),grid

  figure('Units','Normalized','Position',[.505 .2 .49 .55],'Name','Synchonous machine transient stability');         
   plot(x(:,1)*180/pi,x(:,2)/wo),title('PHASE PLANE'),xlabel('Angle \delta [o]'),ylabel('Speed [pu]'),grid 
   set(gca,'Ylim',[.95 1.05])
 %%%%%%


