% Synchronous generator compounding curve and phasor diagram
clear,close all
%DATA
V=1.0;
X=1;
pf=0.8; phi=-acos(pf);
%
q=0;
Ed=[]; Eq=[]; Id=[]; Iq=[];Im=[];Em=[];Im=[];

avimov=avifile('syncgen.avi','compression','cinepak');
     
for P=0:.04:2
  Im1=P;  
  q=q+1;  
  Ia=Im1*exp(j*phi); Id1=real(Ia); Iq1=imag(Ia);
  Ea=V+j*X*Ia;   Ed1=real(Ea);  Eq1=imag(Ea);  Em1=abs(Ea);
  Ed=[Ed Ed1]; Eq=[Eq Eq1]; Id=[Id Id1]; Iq=[Iq Iq1]; Im=[Im Im1];Em=[Em Em1];
end

for k=1:q
    figure('Units','normalized','Position',[0.05 0.17 .9 .55],'Name','ALTERNATOR','NumberTitle','on') 
    
 subplot(1,2,1) 
 vecarrow([0 0],[V 0],'k'),
 xlabel('Real axis','color',[.2 .6 .2],'Fontweight','b','fontsize',12),
 ylabel('Imaginary axis','color',[.2 .6 .2],'Fontweight','b','fontsize',12) ,hold on
vecarrow([0 0],[Ed(k) Eq(k)],'b')
vecarrow([V 0],[Ed(k) Eq(k)],'g')
vecarrow([0 0],[Id(k) Iq(k)],'r')
set(gca,'Xlim',[-0.25 2.5],'Ylim',[-1.25 1.75])
axis('equal');
h=findobj(gca,'Type','line');
set(h,'LineWidth',2)
plot(Ed,Eq,'k--',Id,Iq,'k--')


for w=1:q
  plot(Ed(w),Eq(w),'k')
  plot(Id(w),Iq(w),'k')
end

plot(0,0,'kx','MarkerSize',10,'linewidth',2)
title('Phasor diagrams','fontsize',12,'Fontweight','b','color','k'),
hr=h(length(h):-1:1);
 legend(hr,'V','E','jXI','I',2)
% plot(0,0,'kx','MarkerSize',10,'linewidth',2)
 text(-0.20,-1.22,'V=1  pf=0.8(lag)  X=1','color',[.2 .2 .1],'fontsize',12,'Fontweight','b')
  %%%%
  
 subplot(1,2,2)
 plot(Im,Em,'-r',Im(k),Em(k),'*b'),title('Alternator compounding curve','fontsize',14),
 ylabel('Field excitation','color','b','Fontweight','b','fontsize',12),
 xlabel('Power P','color','r','Fontweight','b','fontsize',12) ,grid,
 axis([0 2 0 3]);
 h=findobj(gca,'Type','line');
 set(h,'LineWidth',2)
 %%%%%
   f=getframe(gcf);
    avimov=addframe(avimov,f);
    % M(k)=getframe;
 end  
  avimov=close(avimov);
