%V & C curves of synchronous motor 
clear,close all
warning off
%DATA
% no saliency
V=1.0; X=1; Ra=0.002;
j=sqrt(-1);
co=['rbg'];b=0;

figure('Units','normalized','Position',[0.05 0.05 .9 .8],'Name',' SYNCHRONOUS MOTOR','NumberTitle','off') 
for pf=[-.8 .8 1]
    b=b+1;
 if pf<0, w=-1; else w=1; end   
phi=acos(abs(pf));
pf1=abs(pf);

P=0:.05:2;
Im=P/(V*pf1);    
Id=Im*pf1; Iq=w*Im*sin(phi);
Ibar=Id+j*Iq;
Ebar=V-(j*X+Ra)*Ibar;
Ed=real(Ebar); Eq=imag(Ebar); E=abs(Ebar);
delta=-angle(Ebar)*180/pi;
g=find(delta>90);
Im(g)=nan;
d=min(g)-1;
hy=Im(d);
hx=E(d);
%%PLOTS
  plot(E,Im,co(b)),title('V- and C- compounding curves of the synchronous motor','fontsize',14),
   xlabel('Excitation voltage E','color','b','fontsize',14),
   ylabel('Current I','color','r','fontsize',14) ,grid,hold on
   plot(hx,hy,'squarer')
   axis([0 3 0 2]);
end

 text(1.25,1.53,'\itpf=0.8 lag','color','r','fontsize',12)
 text(2.06,1.5,'\itpf=0.8 lead','color','b','fontsize',12)
 text(2.14,1.85,'\itpf=unity','color','g','fontsize',12)
 text(0.02,1.03,'P=0','color','m')
 text(0.20,1.09,'P=0.25','color','c')
 text(0.42,1.18,'P=0.5','color','b')
 text(0.70,1.29,'P=0.75','color','g')
 text(.95,1.47,'P=1.0','color','k')
 text(1.47,1.85,'P=1.5','color','y')
 plot(.15,1.9,'squarer')
 text(.18,1.9,'Stability limit')
 text(.24,1.85,'\delta = 90^o')
%%%%%%%%%%%%%%%%%%%% 
c=0;col=['mcbgky'];
for P1=[0 0.25 0.5 0.75 1 1.5];
    c=c+1;
    Emin=P1*X/V;
  E1=Emin:.02:3;
d=asin(P1*X./(E1*V));
Ed1=E1.*cos(d); Eq1=-E1.*sin(d);
Ebar1=Ed1+j*Eq1;
Vbar1=V;
Ibar1=(Vbar1-Ebar1)/(j*X+Ra);
Imag1=abs(Ibar1);
plot(E1,Imag1,col(c))
h=findobj(gca,'Type','line');
 set(h,'LineWidth',2)
 plot(E1(1),Imag1(1),'squarer')
end
%%%%%%%%%%%%%%%%

 
