% vectrolss 
% Detuning effects on the steady-state characteristics of an induction motor
% under indirect vector control
clc,clear,close all
disp('  k=tuning factor=Tr/Tr_est=wr_est/wr_perfect')
disp('  m=torque command factor=iqC/idC=TeC/To where To=fdr^2/Lr (m=1)       fdr=1')            
disp('                                                                  Press a key...')
m=[0:0.01:2];
k=[0:0.2:2]';
 h=figure('Position',[30 65 970 510],'Name',...
    'Effect of detuning on the steady-state characteristics of an induction motor under vector control with k as parameter',...
    'NumberTitle','off','color',[0.8 0.8 0.8]);
   figure(h)
for p=1:length(k)
   T=m.*k(p).*(1+m.^2)./(1+(m.*k(p)).^2);
   d=180/pi*atan(-(m-m.*k(p))./(1+k(p).*m.^2));
   phi=((1+m.^2)./(1+(k(p)).*m.^2)).^0.5;
   Te(p,:)=T;
   delta(p,:)=d;
   fdr(p,:)=phi;
   subplot(131)
      plot(m,Te),xlabel('Torque factor m '),ylabel('Torque Te/To'),grid
      title('km(1+m^2)/(1+k^2m^2)'),  
      axis([0 2 0 2]),axis square,axis equal
   subplot(132),
   plot(m,delta),xlabel('Torque factor m'),ylabel('Mismatch angle'),grid
   title('tan^-^1m(1-k)/(1+km^2)')
    subplot(133)
      plot(m,fdr),xlabel('Torque factor m'),ylabel('Rotor flux'),grid
      title('\lambda_r_C((1+m^2)/(1+k^2m^2))^1^/^2')
 end
   pause
% -------------------------------------------------------------------   
   clear,
k=[0:0.01:3];
m=[0:0.2:2]';
h=figure('Position',[30 65 970 490],'Name',...
    'Detuning effects on steady-state characteristics of induction motor under vector control with m as parameter',...
    'NumberTitle','off',...
     'color',[0.8 0.8 0.8]);
figure(h)
for p=1:length(m)
   T=m(p).*k.*(1+m(p).^2)./(1+(m(p).*k).^2);
   d=180/pi*atan(-(m(p)-m(p).*k)./(1+k.*m(p).^2));
   phi=((1+m(p).^2)./(1+(k.*m(p)).^2)).^0.5;
   Te(p,:)=T;
   delta(p,:)=d;
   fdr(p,:)=phi;
      subplot(131)
      plot(k,Te),xlabel('Tuning factor k'),ylabel('Torque Te/To'),grid
      title('km(1+m^2)/(1+k^2m^2)'),
      subplot(132)
      plot(k,delta),xlabel('Tuning factor k'),ylabel('Mismatch angle'),grid
      title('tan^-^1m(1-k)/(1+km^2)')
      subplot(133)
      plot(k,fdr),xlabel('Tuning factor k'),ylabel('Rotor flux'),grid
      title('\lambda_r_C((1+m^2)/(1+k^2m^2))^1^/^2')
   end
   pause
%  movie ----------------------------------------------------------------  
   [k,m]=meshgrid(0:.1:2,0:0.1:2);
T=m.*k.*(1+m.^2)./(1+(m.*k).^2);
h=figure('Position',[30 65 970 470],'Name',...
    'Detuning effects on steady-state characteristics of induction motor under vector control with m and k as parameters',...
    'NumberTitle','off',...
     'color',[0.8 0.8 0.8]);
figure(h)
    surfl(k,m,T);
    az=[90:-5:0]';
for p=1:length(az)
   view(az(p),0)
    xlabel('k');ylabel('m');zlabel('Te/To');
   M(p)=getframe;
end
movie(M,6)
