%   TRAVELING & PULSATING WAVES in AC MACHINES
clc,clear,close all
disp(date)
info= ...
        ['        WAVES AND SPACE VECTORS IN AC MACHINES      '                                
         ' This demo animates the motion of traveling  waves  '  
         ' in AC machines. They represent the distribution of '
         ' magnetic fields in the air gap.                    ' 
         ' A movie can also be run under Media Player by acti-'
         ' vating the "sinvecmovie.avi" file just created.    '
         '                                                    '];  
disp(info) 
ca=input('Specify amplitude unbalance factor 0<=ca<=1 \n  ca = ');
   if ca>1 | ca<0,   ca = 1;end;
cp=input('Specify phase unbalance factor -1<=cp<=1 \n  cp = ');
   if abs(cp)>1, cp=1;end;
c =input('Number of cycles  [default N=2.5] = ');
   if isempty(c) c=2.5; end; 

dphi=pi/24;phi=0;theta=0;
theta=0:pi/60:2*pi;
%
  figure('units','normalized','Position',[.10 .09 .88 .72],'Name','WAVES & SPACE VECTORS',...
        'NumberTitle','off');
 set(gcf,'color',[.9 .9 .9])          
 %for k=1:24
   while phi<=2*c*pi
      f1=cos(phi)*cos(theta)+ca*cos(phi-cp*pi/2)*sin(theta);
      fa=cos(phi); fb=ca*cos(phi-cp*pi/2);
      %axes('Position',[0.05 0.1 .5 .8])
      subplot(1,2,1)
      plot(theta*180/pi,f1,'-r','LineWidth',1.0), title('WAVE SPACE DISTRIBUTION')
      set(gca,'Xlim',[0 360],'Ylim',[-1.5 1.5])
      set(gca,'Xtick',0:30:360),grid
      subplot(1,2,2)
      compass(1.4,0.1,'w'),hold on
      compass(fa,fb,'b')
      text(-0.95,2.1,'MOTION OF SPACE VECTOR')
          
      hold off
      f=getframe(gca);
      phi=phi+dphi;
     %  M(k)=getframe;
  end
    
      % movie(M,6)
     %     
